# parsl.set_stream_logger

parsl.set_stream_logger(name: str = 'parsl', level: int = logging.DEBUG, format_string: str | None = None, stream: TextIOBase | None = None) → Callable[[], None]

  Add a stream log handler.

  Parameters:

    - name (-) – Set the logger name.

    - level (-) – Set to logging.DEBUG by default.

    - format_string (-) – Set to None by default.

    - stream (-) – Specify sys.stdout or sys.stderr for stream. If not specified, the default stream for logging.StreamHandler is used.